mplayer svga debian-kernel

 ( bognare | 2005. június 15., szerda - 3:00 )

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

Hi!

apt-get install libsvga1 libsvga1-dev libgtk1.2-dev libglib1.2-dev xlibs-dev

Amugy tudtommal az SVGAlibnek nincs szuksege kernel supportra, bar mar nagyon reg hasznaltam.

Egyebkent van egy mplayer-dep-dev csomag is, ez is feltesz mindent, ami kellhet, sot meg sokkal tobbet is.

Most olvastam el par regebbi postot. Total rosszul tetted fel a kerdest. Neked nem SVGAlibre van szukseged, csak egy X (vagy barmi) alatt jol mukodo MPlayerre. Az SVGAlib egy elegge elavult dolog. Nem erdemes hasznalni, es semmi szukseged nincs ra.

By(t)e
TBS::Antiemes

hello,

Debian Sarge-re szeretném felrakni az mplayert. Csak az a baj, hogy nem fordítottam kernelt, mert a telepítő mindent jól beállított ,és nem szeretném elrontani. De az svga-t nem rakta be a kernelbe. Létezik valami patch csomag a debianhoz, ami a kernelbe beleteszi az svga drivert. Pl.: a pcmcia-t úgy tudtam elérni, hogy volt egy pcmcia patch a kernelhez. Már átnéztem az összes Package fájlt ami csak volt az ftp.hu.debian.org-on :-) de sajnos nem találtam ilyen csomagot. Ha lefordítom az mplayert akkor csak pár drivert tesz bele:
Available video output drivers:
fbdev Framebuffer Device
fbdev2 Framebuffer Device
vesa VESA VBE 2.0 video output
cvidix console VIDIX
null Null video output
mpegpes Mpeg-PES to DVB card
yuv4mpeg yuv4mpeg output for mjpegtools
png PNG file
tga Targa output
pnm PPM/PGM/PGMYUV file
md5sum md5sum of each frame

Nekem meg pont az svga kellene. :-( Ha valaki érti, hogy mi a problémám, és tudna segíteni annak nagyon örülnék.

Van egy másik gondom is. :-) ha --enable-gui-t is hozzáírom a fordításnál, akkor meg előszőr kiírta, hogy libpng-t tegyek fel, meg libpng-dev-et. Fel is raktam a libpng2.0-t meg a libpng2-dev csomagokat apt-get-el. De ezek után meg csak simán kiírta, hogy :

Checking for GUI ... yes

Error: X11 support required for GUI compilation

van valakinek erre valami ötlete, hogy ezt miért írta ki? :-) X van fent, gnome is!

Előre is köszönöm a segítséget.

[url]http://www.arava.co.il/matan/svgalib/[/url]
Forras letolt, fordit. Vagy fordul, vagy nem :( A 2.4-esekkel megy, a 2.6-osnal szerencse kerdese, az egyik pl. behuzta az svgalib_helper.ko modult, a masik nem :( (Jelenleg 2.6.11.9 van nalam, ezzel speciel megy. Jaigen, forditas es install utan a depmodot ne feledd, aztan akar /etc/modules-be is teheted az svgalib_helper-t.

Tedd fel az X devel csomagot is. Fejbol nem tudom, mi a neve, de dev-re vegzodik :)

Jaigen, tobb verzio is van. 1.9.18-19-20-21, ami mukodik altalaban. Nekem 1.9.20 van, de majd megprobalom az 1.9.21-et is. Ha magatol nem forditana le, akkor a csomagon belul a ./kernel directoryban futtass egy make installt. Mondom, jatekos dolog...

[quote:88cc1c7e1a="antiemes"]
Amugy tudtommal az SVGAlibnek nincs szuksege kernel supportra, bar mar nagyon reg hasznaltam.
[/quote:88cc1c7e1a]

Szerintem sem, ezert nem ertem ennyire, ezt az erolkodest:-)

bognare: honnan vetted ezt?

Köszi a tippet.

de sajnos nem megy, mert nem tudja behozni azt a gagyi svgalib_helper.ko' -t. Na mindegy. Sajnos kernelt kell fordítani. Még egy kérdésem lenne. A debian install-er beállított egy kernelt, ami felismer mindent. Még az usb-s mobilrack-et is. Azt szeretném kérdezni, hogy ha forgatok egy kernelt, és make modules_install után ha netán mondjuk valami elcsesztem, azért a régi kernelt még tudom boot-olni ugye?? Pl. a make modules_install az beállítja a modulokat erre a kernelre, de ha a régit indítom akkor azon minden megy jól ugye?? Ez fontos lenne, mert ha véletlen nem sikerül beállítani valamit, akkor a régit szeretném használni. És rossz lenne, ha valamiért az se indulna el, mert ez az új belepiszkált pár modulba.

[quote:5d9a737c40="bognare"]Köszi a tippet.

de sajnos nem megy, mert nem tudja behozni azt a gagyi svgalib_helper.ko' -t.
[/quote:5d9a737c40]

Egen, nekem a sajat magam altal forditott kernelekkel is voltak ilyen gondjaim. Mondjuk, (csak pelda!) 2.6.7 alatt ment, 2.6.8 alatt meg nem. Ugyanigy, mint a binaris nvidia driverek.

[quote:5d9a737c40]
Na mindegy. Sajnos kernelt kell fordítani. Még egy kérdésem lenne. A debian install-er beállított egy kernelt, ami felismer mindent. Még az usb-s mobilrack-et is. Azt szeretném kérdezni, hogy ha forgatok egy kernelt, és make modules_install után ha netán mondjuk valami elcsesztem, azért a régi kernelt még tudom boot-olni ugye?? Pl. a make modules_install az beállítja a modulokat erre a kernelre, de ha a régit indítom akkor azon minden megy jól ugye?? Ez fontos lenne, mert ha véletlen nem sikerül beállítani valamit, akkor a régit szeretném használni. És rossz lenne, ha valamiért az se indulna el, mert ez az új belepiszkált pár modulba.[/quote:5d9a737c40]

Igen. Egy otlet: elvileg a _mostani,gyari_ kernel .config file-ja megvan valahol (talan a /boot konyvtarban). Hasznald azt alapnak az uj kernelhez, hiszen az biztosan mukodik :)

Ha biztos akarsz benne lenni, hogy nem torli a regi kernelt (bar ez valoszinutlen), akkor csinalj +1 bejegyzest az /etc/lilo.conf fileban,
ami az uj kernelre mutat, es ne engedd, hogy a make isntall lefuttassa a lilo-t, tedd meg kezzel.

Megkerdezhetem, hogy miert is ragaszkodsz ennyire az svga-hoz?
Boccs, ha rosszul erzem a kerdesedbol, de mintha nem lenne teljesen tiszta a kep a fejedben..

[quote:58e6af8b28="Skuzzy"]Megkerdezhetem, hogy miert is ragaszkodsz ennyire az svga-hoz?
Boccs, ha rosszul erzem a kerdesedbol, de mintha nem lenne teljesen tiszta a kep a fejedben..[/quote:58e6af8b28]

Eleg nehezkes massal hasznalni nem-X alatt az mplayert. Legalabbis nekem SDL annyira sem ment, mint az SVGA. Gondolom, ezert.

Anno vesa módban sikerült csak elintéznem, hogy az mplayer egy pII/300-as Celeronon, 64M memóriával teljes képernyőn élvezhetően lejátssza a home videókat. Igaz, azóta mással nem is próbáltam azon a gépen. Errefelé keresgélnék; megpróbálnám megmondani az mplayernek, hogy olyan vesa módba kapcsoljon, ami leginkább megfelel a film méretének, és akkor az átméretezés se annyira processzorigényes.

[quote:dea4681bbb="Celtic"]
Eleg nehezkes massal hasznalni nem-X alatt az mplayert. Legalabbis nekem SDL annyira sem ment, mint az SVGA. Gondolom, ezert.[/quote:dea4681bbb]

Ez igaz, de mivel gui-t akar forditani, es egyebkent sem egy hardcore linuxosnak tunik ( meg, de remelhetoleg azza valik :-) ) a fogalmazasa alapjan, szerintem nem konzolon szeretne videot nezni.
De lehet fereertem, ezert volt a kerdesem fele.:-)

Röviden: emlékeim szerint nem-X felületre nincs az mplayer-nek (sem) GUI-ja. Tehát: vagy GUI-val használod, vagy nem-X alatt. A kettő együtt nem megy. No meg mintha a GUI fordításához (lévén X-re lesz) kellene valami X-dev csomag is - de hogy pontosan melyik... :?

szerintem olvasd el az mplayer telepitesi doksit es talalsz jobbat mint az svga-lib .
nem akarok hulyeseget mondani de kellene a video kari amin nyomnad es max framebufferrrel mennie kellene vagy xv -vel nem ???
amugy asszem debian alatt az xlib-dev + gtk1.2-dev biztossan kell + meg kell egy csomo minden (mencodert is akarsz akkor kellenek a lame ...) ha nem megy igy miert nem rakod fel csomagbol
az apt-get.org -on minden debian tipushoz (hu ez lehet rossz kif.) talalsz apt-get-es linket es tokre menne minden :)
ha nem forditottad az egesz rendszered nem hinnem hogy emiatt gyorsabb lenne .
es ha jol emlexem minden kapcsolo be van forditva vegigprobalgathatod oket
mplayer -vo ???

mindenkitol bocs ha f*sag csak velemeny

Köszönöm a hozzászólásokat! :-)

X alatt szeretném használni. Azért akartam svga-t mert pl. ugyanezt tapasztaltam suse linux alatt is, hogy a gyári kernelben nincs semmi olyan támogatás, hogy x alatt menne az mplayer. Vagyis megy, csak a össze vissza van a kép. viszont concolban (framebuffer)-ben meg ment. Na mindegy, most már rájöttem, hogy nem is svga kell. Feltettem GUI-val, és akkor felrakott egy x11-et meg egy vesa-t is és valamelyikkel ment. Úgyhogy most szuper. De mondjuk novell linux alatt meg gentoo alatt nem voltak ilyen gondok. Akkor simán a gyári kernellel ment az mplayer, mondjuk eddig még nem telepítettem gui-val. Kivéve gentoo-ban mert ott asszem emerge-vel fel lehetett tenni. A lényeg hogy most megy!!!! Nem vagyok hardcore linuxos, de hamarosan az leszek. :P Eddig volt NLD, SUSE, REDHAT, FEDORA, GENTOO a gépemen, és most raktam fel DEBIAN-t. De most nagyon tetszik ez a debian úgyhogy maradok ennél. :-)))) Köszönöm még egyszer a segítségeteket.

honnan vettem ezt?? az jó kérdés. :-) ./configure után kiírta hogy mely video driverek lesznek támogatva, és ott láttam hogy az svga nincs támogatva, és gondoltam hogy azért esik szét a kép, mert ez kellene. :-))

De meg mindig nem ertem, hogy gyakorlatilag a kernelnek mi koze lenne ahhoz, hogy X alatt hogyan hasznalod az mplayert...

a kernelbe nincs befordítva az svga. Nekem sis video kártyám van, és azt hittem hogy azért ne jó akép, mert svga kell neki. mplayer -vo help után nem volt svga. És ezért gondoltam hogy ha befordítom a kernelbe akkor jó lesz. De rosszul gondoltam. :-)